/**
* Responsive
* 
* author: Thilo Ilg
* version: 1.1.5
* 
**/

/** 
* --- jAlbumGlobals ---
* jAlbumGlobals is responsible for constant parameter of the skin.
* In the process of creating an album the jAlbum parser will overwrite 
* the variables according to the skin with the selected ones in the
* program. jAlbumGlobals also includes global variables which describe
* the state of the skin like if it is embedded, viewed on a mobile device,
* online or in filesystem etc.
*/
var jAlbumGlobals = (function () {

	var styles = ["dark.css", "light.css", "transparent.css"]; // styles

	var mobile = isMobile(); // is the skin viewed on a mobile device
	var online = isOnline(); // is the skin viewed online or in the filesystem
	var jAlbumURL = getURL(); // what's the current url?

	var stylePath = ""; //path points to the styles folder
	var resPath = ""; // path points to the res folder

	var credits = "jAlbum flexibla webbfotoalbum"; // should skin show credits in footer
	var albumTitle = "Sample Portfolio"; // what's the album title?
	var contentPath = ""; // path points to the skin folder
	var imgHoverScaleFactor = "scale(1.1)"; // scale factor of hovering an element

	var folderTitleUp = true; // positioning of folder title, under or above folder
	var folderImgCount = false; // says if folder deep count should be shown
	var maxImgInRow = 10; // restricts the number of elements in a row
	var imgBorderSize = 3; // define border size of element
	var imgBoxSize = 175; // defines size of container of element
	var showFolderName = false; // says if folder name should be displayed
	var textSize = 11; // defines text size of whole page
	var showComments = true; // defines if comments should be shown in slideshow
	var slideBorderSize = 0;
	var slideBorderColor = "#ff000000";
	var style = "dark.css";

	var dataTree = {"path":"Sample%20Portfolio","counters":{"webPages":2,"total":6,"folders":4,"files":2},"thumb":{"path":"Sample%20Portfolio\/Nature\/thumbs\/Poppy.jpg","width":256,"height":178},"objects":[{"path":"People","deepCounters":{"total":5,"images":5,"files":5},"counters":{"total":5,"images":5,"files":5},"thumb":{"path":"People\/thumbs\/David.jpg","width":175,"height":256},"objects":[{"path":"David.jpg","image":{"path":"slides\/David.jpg","width":491,"height":720},"keywords":["David"],"thumb":{"path":"thumbs\/David.jpg","width":175,"height":256},"fileSize":80909,"name":"David.jpg","rating":4,"fileDate":"2013-07-02T12:56:40.0Z","category":"image","title":"David","camera":{"aperture":3.5,"exposureTime":"1\/200s","originalDate":"2008-10-15T14:20:05.0Z","cameraModel":"NIKON D90","focusDistance":"4.2949673E9m","focalLength35mm":"91mm","cameraMake":"NIKON CORPORATION","isoEquivalent":200,"flash":"Flash did not fire","focalLength":"60mm"}},{"path":"Anders.jpg","image":{"path":"slides\/Anders.jpg","width":900,"height":693},"keywords":["Anders"],"thumb":{"path":"thumbs\/Anders.jpg","width":256,"height":197},"fileSize":85175,"name":"Anders.jpg","rating":4,"fileDate":"2013-07-02T12:56:40.0Z","category":"image","title":"Anders","camera":{"aperture":2.8,"exposureTime":"1\/30s","originalDate":"2008-11-20T13:26:16.0Z","cameraModel":"NIKON D90","focusDistance":"1.0m","focalLength35mm":"91mm","cameraMake":"NIKON CORPORATION","isoEquivalent":640,"flash":"Flash did not fire","focalLength":"60mm"}},{"path":"Laza.jpg","image":{"path":"slides\/Laza.jpg","width":610,"height":720},"keywords":["Laza"],"thumb":{"path":"thumbs\/Laza.jpg","width":217,"height":256},"fileSize":91212,"name":"Laza.jpg","rating":4,"fileDate":"2013-07-02T13:06:34.0Z","category":"image","title":"Laza","camera":{"aperture":3.5,"exposureTime":"1\/400s","originalDate":"2013-03-04T13:22:06.0Z","cameraModel":"XZ-1","focusDistance":"15.5m","focalLength35mm":"84mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"18mm"}},{"path":"jAlbum%20team.jpg","image":{"path":"slides\/jAlbum%20team.jpg","width":900,"height":677},"keywords":["Sanna","Jason","Pontus","David"],"thumb":{"path":"thumbs\/jAlbum%20team.jpg","width":256,"height":193},"fileSize":145051,"name":"jAlbum team.jpg","rating":4,"fileDate":"2013-07-02T13:08:28.0Z","category":"image","title":"jAlbum team","camera":{"aperture":1.8,"exposureTime":"1\/20s","originalDate":"2013-03-20T16:36:05.0Z","cameraModel":"XZ-1","focusDistance":"7.47m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":200,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Jason%2C%20David%2C%20Anders.jpg","image":{"path":"slides\/Jason%2C%20David%2C%20Anders.jpg","width":508,"height":720},"keywords":["Anders","David","Jason"],"thumb":{"path":"thumbs\/Jason%2C%20David%2C%20Anders.jpg","width":181,"height":256},"fileSize":105956,"name":"Jason, David, Anders.jpg","rating":4,"fileDate":"2013-07-02T13:08:32.0Z","category":"image","title":"Jason, David, Anders","camera":{"aperture":1.8,"exposureTime":"1\/60s","originalDate":"2012-03-06T14:30:45.0Z","cameraModel":"XZ-1","focusDistance":"6.0m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":125,"flash":"Flash did not fire, auto","focalLength":"6mm"}}],"name":"People","fileDate":"2015-03-23T21:47:12.300Z","category":"folder"},{"path":"Nature","deepCounters":{"total":10,"images":10,"files":10},"counters":{"total":10,"images":10,"files":10},"thumb":{"path":"Nature\/thumbs\/Poppy.jpg","width":256,"height":178},"objects":[{"path":"Poppy.jpg","image":{"path":"slides\/Poppy.jpg","width":900,"height":626},"keywords":["Flower","Plant"],"thumb":{"path":"thumbs\/Poppy.jpg","width":256,"height":178},"fileSize":75928,"name":"Poppy.jpg","rating":4,"fileDate":"2013-07-02T12:56:36.0Z","category":"image","title":"Poppy","camera":{"aperture":8.3,"exposureTime":"1\/500s","originalDate":"2004-05-17T10:59:32.0Z","cameraModel":"Konica Digital Camera KD-500Z","focalLength35mm":"116mm","cameraMake":"Konica Corporation","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"24mm"}},{"path":"Tulips.jpg","image":{"path":"slides\/Tulips.jpg","width":900,"height":600},"creator":"Laza","keywords":["Flower","Plant"],"thumb":{"path":"thumbs\/Tulips.jpg","width":256,"height":171},"fileSize":88499,"name":"Tulips.jpg","rating":4,"fileDate":"2013-07-02T12:56:42.0Z","category":"image","title":"Tulips","camera":{"aperture":5.6,"exposureTime":"1\/400s","originalDate":"2009-02-15T15:58:34.0Z","cameraModel":"Canon EOS 1000D","focalLength35mm":"81mm","cameraMake":"Canon","isoEquivalent":200,"flash":"Flash did not fire, auto","focalLength":"50mm"}},{"path":"Butterfly.jpg","image":{"path":"slides\/Butterfly.jpg","width":900,"height":675},"keywords":["Animal"],"thumb":{"path":"thumbs\/Butterfly.jpg","width":256,"height":192},"fileSize":114292,"name":"Butterfly.jpg","rating":4,"fileDate":"2013-07-02T13:02:34.0Z","category":"image","title":"Butterfly","camera":{"aperture":2.2,"exposureTime":"1\/100s","originalDate":"2011-10-02T12:05:01.0Z","cameraModel":"XZ-1","focusDistance":"0.61m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Stamens.jpg","image":{"path":"slides\/Stamens.jpg","width":900,"height":675},"keywords":["Flower","Plant"],"thumb":{"path":"thumbs\/Stamens.jpg","width":256,"height":192},"fileSize":128713,"name":"Stamens.jpg","rating":4,"fileDate":"2013-07-02T13:04:18.0Z","category":"image","title":"Stamens","camera":{"aperture":5.6,"exposureTime":"1\/800s","originalDate":"2011-04-23T13:08:32.0Z","cameraModel":"XZ-1","focusDistance":"0.26m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Peacock%20tail.jpg","image":{"path":"slides\/Peacock%20tail.jpg","width":900,"height":675},"keywords":["Feather","Peacock"],"thumb":{"path":"thumbs\/Peacock%20tail.jpg","width":256,"height":192},"fileSize":296686,"name":"Peacock tail.jpg","rating":4,"fileDate":"2013-07-02T13:04:52.0Z","category":"image","title":"Peacock tail","camera":{"aperture":2.5,"exposureTime":"1\/250s","originalDate":"2012-01-23T16:03:18.0Z","cameraModel":"XZ-1","focusDistance":"3.1m","focalLength35mm":"112mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":160,"flash":"Flash did not fire, auto","focalLength":"24mm"}},{"path":"Leopard%20skin.jpg","image":{"path":"slides\/Leopard%20skin.jpg","width":900,"height":675},"keywords":["Skin","Fur"],"thumb":{"path":"thumbs\/Leopard%20skin.jpg","width":256,"height":192},"fileSize":245366,"name":"Leopard skin.jpg","rating":4,"fileDate":"2013-07-02T13:06:26.0Z","category":"image","title":"Leopard skin","camera":{"aperture":1.8,"exposureTime":"1\/13s","originalDate":"2012-09-15T15:23:18.0Z","cameraModel":"XZ-1","focusDistance":"5.04m","focalLength35mm":"34mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":200,"flash":"Flash did not fire","focalLength":"7mm"}},{"path":"Leaf.jpg","image":{"path":"slides\/Leaf.jpg","width":900,"height":675},"keywords":["Plant"],"thumb":{"path":"thumbs\/Leaf.jpg","width":256,"height":192},"fileSize":291653,"name":"Leaf.jpg","rating":4,"fileDate":"2013-07-02T13:06:30.0Z","category":"image","title":"Leaf","camera":{"aperture":3.2,"exposureTime":"1\/640s","originalDate":"2011-07-09T16:58:21.0Z","cameraModel":"XZ-1","focusDistance":"0.21m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Flower.jpg","image":{"path":"slides\/Flower.jpg","width":900,"height":675},"keywords":["Flower","Plant"],"thumb":{"path":"thumbs\/Flower.jpg","width":256,"height":192},"fileSize":71938,"name":"Flower.jpg","rating":4,"fileDate":"2013-07-02T13:08:00.0Z","category":"image","title":"Flower","camera":{"aperture":3.5,"exposureTime":"1\/800s","originalDate":"2013-04-20T17:00:00.0Z","cameraModel":"XZ-1","focusDistance":"0.13m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Horses.jpg","image":{"path":"slides\/Horses.jpg","width":900,"height":621},"keywords":["Animal","Horse"],"thumb":{"path":"thumbs\/Horses.jpg","width":256,"height":177},"fileSize":164377,"name":"Horses.jpg","rating":4,"fileDate":"2013-07-02T13:08:20.0Z","category":"image","title":"Horses","camera":{"aperture":4.5,"exposureTime":"1\/800s","originalDate":"2012-12-27T12:20:49.0Z","cameraModel":"XZ-1","focusDistance":"155.0m","focalLength35mm":"77mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"17mm"}},{"path":"Zebra.jpg","image":{"path":"slides\/Zebra.jpg","width":900,"height":675},"keywords":["Animal","Zebra"],"thumb":{"path":"thumbs\/Zebra.jpg","width":256,"height":192},"fileSize":129405,"name":"Zebra.jpg","rating":4,"fileDate":"2013-07-02T13:10:54.0Z","category":"image","title":"Zebra","camera":{"aperture":2.5,"exposureTime":"1\/160s","originalDate":"2012-05-28T11:09:45.0Z","cameraModel":"XZ-1","focusDistance":"7.15m","focalLength35mm":"77mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":125,"flash":"Flash did not fire, auto","focalLength":"17mm"}}],"name":"Nature","fileDate":"2015-03-23T21:47:12.222Z","category":"folder"},{"path":"Objects","deepCounters":{"total":7,"images":7,"files":7},"counters":{"total":7,"images":7,"files":7},"thumb":{"path":"Objects\/thumbs\/Clock.jpg","width":256,"height":190},"objects":[{"path":"Tomatoes.jpg","image":{"path":"slides\/Tomatoes.jpg","width":900,"height":624},"creator":"Laza","thumb":{"path":"thumbs\/Tomatoes.jpg","width":256,"height":177},"fileSize":138159,"name":"Tomatoes.jpg","rating":4,"fileDate":"2013-07-02T12:56:38.0Z","category":"image","title":"Tomatoes","camera":{"aperture":4.0,"exposureTime":"1\/125s","originalDate":"2007-08-06T11:29:55.0Z","cameraModel":"Canon PowerShot S3 IS","focusDistance":"0.2m","focalLength35mm":"36mm","cameraMake":"Canon","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Clock.jpg","image":{"path":"slides\/Clock.jpg","width":900,"height":668},"creator":"Laza","thumb":{"path":"thumbs\/Clock.jpg","width":256,"height":190},"fileSize":78560,"name":"Clock.jpg","rating":4,"fileDate":"2013-07-02T12:56:42.0Z","category":"image","title":"Clock","camera":{"aperture":4.5,"exposureTime":"1\/50s","originalDate":"2009-08-09T15:46:18.0Z","cameraModel":"Canon EOS 1000D","focusDistance":"0.26m","focalLength35mm":"29mm","cameraMake":"Canon","isoEquivalent":400,"flash":"Flash did not fire, auto","focalLength":"18mm"}},{"path":"Guitar.jpg","image":{"path":"slides\/Guitar.jpg","width":900,"height":600},"creator":"Laza","flag":"Review","thumb":{"path":"thumbs\/Guitar.jpg","width":256,"height":171},"fileSize":76193,"name":"Guitar.jpg","rating":3,"fileDate":"2013-07-02T12:56:44.0Z","category":"image","title":"Guitar","camera":{"aperture":2.8,"exposureTime":"1\/10s","originalDate":"2009-12-21T22:06:15.0Z","cameraModel":"Canon EOS 1000D","focalLength35mm":"28mm","cameraMake":"Canon","isoEquivalent":400,"flash":"Flash did not fire, auto","focalLength":"17mm"}},{"path":"Porcelain%20Sheep.jpg","image":{"path":"slides\/Porcelain%20Sheep.jpg","width":900,"height":600},"creator":"Laza","thumb":{"path":"thumbs\/Porcelain%20Sheep.jpg","width":256,"height":171},"fileSize":75974,"name":"Porcelain Sheep.jpg","rating":4,"fileDate":"2013-07-02T12:56:44.0Z","category":"image","title":"Porcelain Sheep","camera":{"aperture":2.8,"exposureTime":"1\/30s","originalDate":"2009-12-21T22:23:07.0Z","cameraModel":"Canon EOS 1000D","focalLength35mm":"50mm","cameraMake":"Canon","isoEquivalent":400,"flash":"Flash did not fire, auto","focalLength":"31mm"}},{"path":"Chess.jpg","image":{"path":"slides\/Chess.jpg","width":900,"height":675},"thumb":{"path":"thumbs\/Chess.jpg","width":256,"height":192},"fileSize":95367,"name":"Chess.jpg","rating":4,"fileDate":"2013-07-02T13:02:24.0Z","category":"image","title":"Chess","camera":{"aperture":2.5,"exposureTime":"1\/100s","originalDate":"2013-03-19T10:34:44.0Z","cameraModel":"XZ-1","focusDistance":"4.33m","focalLength35mm":"100mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":200,"flash":"Flash did not fire, auto","focalLength":"22mm"}},{"path":"Waterpaint.jpg","image":{"path":"slides\/Waterpaint.jpg","width":900,"height":675},"thumb":{"path":"thumbs\/Waterpaint.jpg","width":256,"height":192},"fileSize":157571,"name":"Waterpaint.jpg","rating":4,"fileDate":"2013-07-02T13:03:18.0Z","category":"image","title":"Waterpaint","camera":{"aperture":1.8,"exposureTime":"1\/20s","originalDate":"2011-05-01T12:35:20.0Z","cameraModel":"XZ-1","focusDistance":"1.46m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":200,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Rust.jpg","image":{"path":"slides\/Rust.jpg","width":900,"height":675},"thumb":{"path":"thumbs\/Rust.jpg","width":256,"height":192},"fileSize":277656,"name":"Rust.jpg","rating":4,"fileDate":"2013-07-02T13:04:24.0Z","category":"image","title":"Rust","camera":{"aperture":2.8,"exposureTime":"1\/400s","originalDate":"2011-10-31T10:24:09.0Z","cameraModel":"XZ-1","focusDistance":"1.12m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}}],"name":"Objects","fileDate":"2015-03-23T21:47:12.269Z","category":"folder"},{"path":"Travel","deepCounters":{"total":7,"images":7,"files":7},"counters":{"total":7,"images":7,"files":7},"thumb":{"path":"Travel\/thumbs\/Stockholm.jpg","width":256,"height":170},"objects":[{"path":"Stockholm.jpg","image":{"path":"slides\/Stockholm.jpg","width":900,"height":597},"creator":"Laza","thumb":{"path":"thumbs\/Stockholm.jpg","width":256,"height":170},"fileSize":147652,"name":"Stockholm.jpg","rating":4,"fileDate":"2013-07-02T12:56:42.0Z","category":"image","title":"Stockholm","camera":{"aperture":4.5,"exposureTime":"1.3s","originalDate":"2009-02-17T20:38:30.0Z","cameraModel":"Canon EOS 1000D","focusDistance":"3.49m","focalLength35mm":"47mm","cameraMake":"Canon","isoEquivalent":200,"flash":"Flash did not fire, auto","focalLength":"29mm"}},{"path":"Cecina.jpg","image":{"path":"slides\/Cecina.jpg","width":900,"height":634},"thumb":{"path":"thumbs\/Cecina.jpg","width":256,"height":180},"fileSize":171994,"name":"Cecina.jpg","rating":4,"fileDate":"2013-07-02T13:02:20.0Z","category":"image","title":"Cecina","camera":{"aperture":4.5,"exposureTime":"1\/800s","originalDate":"2011-07-25T19:44:53.0Z","cameraModel":"XZ-1","focusDistance":"270.0m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Trieste.jpg","image":{"path":"slides\/Trieste.jpg","width":900,"height":588},"thumb":{"path":"thumbs\/Trieste.jpg","width":256,"height":167},"fileSize":161863,"name":"Trieste.jpg","rating":4,"fileDate":"2013-07-02T13:03:24.0Z","category":"image","title":"Trieste","camera":{"aperture":6.3,"exposureTime":"1\/800s","originalDate":"2011-07-22T15:45:25.0Z","cameraModel":"XZ-1","focusDistance":"55.3m","focalLength35mm":"38mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"8mm"}},{"path":"Toscana.jpg","image":{"path":"slides\/Toscana.jpg","width":900,"height":675},"thumb":{"path":"thumbs\/Toscana.jpg","width":256,"height":192},"fileSize":177224,"name":"Toscana.jpg","rating":4,"fileDate":"2013-07-02T13:04:08.0Z","category":"image","title":"Toscana","camera":{"aperture":5.6,"exposureTime":"1\/800s","originalDate":"2011-08-01T14:15:59.0Z","cameraModel":"XZ-1","focusDistance":"2147484.0m","focalLength35mm":"77mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"17mm"}},{"path":"Rome.jpg","image":{"path":"slides\/Rome.jpg","width":900,"height":621},"thumb":{"path":"thumbs\/Rome.jpg","width":256,"height":177},"fileSize":134966,"name":"Rome.jpg","rating":4,"fileDate":"2013-07-02T13:04:30.0Z","category":"image","title":"Rome","camera":{"aperture":4.0,"exposureTime":"1\/800s","originalDate":"2013-03-02T16:54:54.0Z","cameraModel":"XZ-1","focusDistance":"67.4m","focalLength35mm":"28mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Pisa.jpg","image":{"path":"slides\/Pisa.jpg","width":900,"height":671},"thumb":{"path":"thumbs\/Pisa.jpg","width":256,"height":191},"fileSize":152144,"name":"Pisa.jpg","rating":4,"fileDate":"2013-07-02T13:04:42.0Z","category":"image","title":"Pisa","camera":{"aperture":6.3,"exposureTime":"1\/800s","originalDate":"2011-07-28T14:56:33.0Z","cameraModel":"XZ-1","focusDistance":"2147484.0m","focalLength35mm":"30mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}},{"path":"Bled.jpg","image":{"path":"slides\/Bled.jpg","width":900,"height":557},"flag":"Select","thumb":{"path":"thumbs\/Bled.jpg","width":256,"height":158},"fileSize":72581,"name":"Bled.jpg","rating":4,"fileDate":"2014-03-05T18:20:04.0Z","category":"image","title":"Bled","camera":{"aperture":3.2,"exposureTime":"1\/500s","originalDate":"2012-10-22T17:35:40.0Z","cameraModel":"XZ-1","focusDistance":"2147484.0m","focalLength35mm":"30mm","cameraMake":"OLYMPUS IMAGING CORP.","isoEquivalent":100,"flash":"Flash did not fire, auto","focalLength":"6mm"}}],"name":"Travel","fileDate":"2015-03-23T21:47:12.363Z","category":"folder"},{"path":"About.html","thumb":{"path":"res\/htt.png","width":128,"height":128},"fileSize":1670,"name":"About.html","comment":"You can add custom made pages like this one to your album projects.\nRight click an empty space between two thumbnails and select \"New page\" to create a new page.\nRight click this page's thumbnail and select \"Edit\" to edit the source code.","fileDate":"2013-07-05T12:35:25.0Z","category":"webPage"},{"path":"Contact.html","thumb":{"path":"res\/htt.png","width":128,"height":128},"fileSize":6336,"name":"Contact.html","comment":"You can add custom made pages like this one to your album projects.\nRight click an empty space between two thumbnails and select \"New page\" to create a new page.\nRight click this page's thumbnail and select \"Edit\" to edit the source code.","fileDate":"2013-09-09T12:29:38.0Z","category":"webPage"}],"name":"Sample Portfolio","comment":"Portfolio template album using dummy images","fileDate":"2017-07-05T10:12:18.604Z"}; // includes all the album data in a json tree
	var stylePath = ""; 

	var widgetColor = getWidgetColor(); // get suggested color for widget support

	/** check if page viewed on mobile device **/
	function isMobile(){
		return (/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent) 
	    || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0,4)));
	}

	/** check if page viewed online or from file system **/
	function isOnline(){
		switch(window.location.protocol) {
		   case 'http:':
		   		return true;
		   case 'https:':
		     	return true;
		   case 'file:':
		    	return false;
		}
	}

	/** get current url of page **/
	function getURL(){
		var curr = document.getElementById('jAlbum').src;
		return curr.substring(0, curr.lastIndexOf("/") + 1);
	}

	/** get fidget color according to current style **/
	function getWidgetColor(){
		if(style == styles[0]) return "black";
		else return "white";
	}

	/** returns all the public variables and functions **/
	return {
		mobile: mobile,
		online: online,
		jAlbumURL: jAlbumURL,
		stylePath: stylePath,
		resPath: resPath,
		credits: credits,
		albumTitle: albumTitle,
		contentPath: contentPath,
		imgHoverScaleFactor: imgHoverScaleFactor,
		folderTitleUp: folderTitleUp,
		folderImgCount: folderImgCount,
		maxImgInRow: maxImgInRow,
		imgBorderSize: imgBorderSize,
		imgBoxSize: imgBoxSize,
		showFolderName: showFolderName,
		textSize: textSize,
		showComments: showComments,
		dataTree: dataTree,
		stylePath: stylePath,
		slideBorderSize: slideBorderSize,
		slideBorderColor: slideBorderColor,
		widgetColor: widgetColor
	};

})();

/** --- jAlbumInject ---
* jAlbumInject is responsible for copying html code into
* the website. Stylesheet includes will be printed into
* the header, the body will be printed to the position
* of the embed code.
*/
var jAlbumInject = (function () {

	appendToHead(injLink('res/css/normalize.min.css', 'stylesheet')); // normalizes browser specific stylesheet defaults
	appendToHead(injLink('res/css/custom.min.css', 'stylesheet')); // customized desgin of the skin, will be partly overwritten by style.css
	appendToHead(injLink('res/styles.css', 'stylesheet')); // different styles to the skin which change the appearance

	appendToHead(injMeta("viewport", "width=device-width, initial-scale=1.0, maximum-scale=1.0")); // viewport handles mobile scaling size

	inj('<div id="Responsive" class="jAlbum">'); // Responsive id surrounds all code of the body of the skin
	inj('<div id="fullscreen"></div>'); // element where to add fullscreen
	inj('<div id="jAlbum-header"></div>'); // header container
	inj('<div id="jAlbum-content"></div>'); // content container
	inj('<div style="clear: both"></div>');

	inj('<div id="jAlbum-footer">'); // footer
	inj('<div class="left leaveFolder">');
	inj('<p><a onclick="jAlbumController.back();"> &#10096;</a></p>'); // go back button in footer
	inj('</div><div class="center"><p><a href="http://jalbum.net/">jAlbum flexibla webbfotoalbum</a> - '); // credits in footer
	inj('<a href="http://jalbum.net/skins/skin/Responsive">Responsive</a></p>'); // skin advertisement in footer
	inj('</div></div></div>'); // close footer

	inj('<script src="' + jAlbumGlobals.jAlbumURL + 'res/libs/jquery-2.1.4.min.js"></script>'); // embets jQuery library
	inj('<script type="text/javascript">$(document).bind("mobileinit", function(){$.extend($.mobile , {autoInitializePage: false})});</script>'); // deactivates jQuery unnecessary mobile feature
	inj('<script src="' + jAlbumGlobals.jAlbumURL + 'res/libs/jquery.mobile-1.4.5.min.js"></script>'); // includes jQuery Mobile
	inj('<script src="' + jAlbumGlobals.jAlbumURL + 'res/libs/jquery.touchswipe.min.js"></script>'); // jQuery touchswipe plugin
	inj('<script src="' + jAlbumGlobals.jAlbumURL + 'res/js/main.js" type="text/javascript"></script>'); // includes skin controller
	
	/** injects html code at embedded position **/
	function inj(html){
		document.write(html);
	}

	/** injects html code in header **/
	function appendToHead(elem){
		document.getElementsByTagName('head').item(0).appendChild(elem);
	}

	/** injects header of embedded page with stylesheet includes **/
	function injLink(path, rel){
		var elem = document.createElement("link");
		elem.href = jAlbumGlobals.jAlbumURL + path;
		elem.rel = rel;

		return elem;
	}

	function injMeta(name, content){
		var elem = document.createElement("meta");
		elem.name = name;
		elem.content = content;

		return elem;
	}

})();


/** --- Widget Support---
* provides JavaScript code for jAlbum widget support
*/
window._jaWidgetBarColor = jAlbumGlobals.widgetColor;

if(!document.getElementById('non-embedded')){ // check if embedded
	window._jaUrl = jAlbumGlobals.jAlbumURL;
	_jaSkin = "Responsive";
_jaStyle = "dark.css";
_jaVersion = "14.0.11";
_jaGeneratorType = "desktop";
_jaLanguage = "sv";
_jaPageType = "index";
_jaRootPath = ".";
_jaUserId = "98";
var jalbumWidgetContainer = document.createElement('div');
jalbumWidgetContainer.setAttribute('id','jalbumwidgetcontainer');
var jalbumWidgetScript = document.createElement("script");
jalbumWidgetScript.type = "text/javascript";
jalbumWidgetScript.src = "http"+("https:"==document.location.protocol?"s":"")+"://jalbum.net/widgetapi/load.js";
jalbumWidgetScript.async = true;
jalbumWidgetContainer.appendChild(jalbumWidgetScript);
document.body.appendChild(jalbumWidgetContainer);
 // get JavaScript code for widget
}
