;(function($) {
	'use strict';
				
	/* 
		scrollTopBtn.js - add a "scroll to top" button
	*/

	$.fn.scrollToTopBtn = function() {
		
		var tt = getTranslations({
					scrollTopTooltip:		'Top'
				}),
		
			a = $('<a>', {
				'class': 	'large button icon-arrow-up',
				'id':		'scrollup',
				'role':		'button'
			}).appendTo($(this).eq(0));
			
		if (tt.scrollTopTooltip) {
			a.addTooltip(tt.scrollTopTooltip, { 
					pos:	[ 2, 1, 0, 1 ]
				});
		}
		
		$(window).on('scroll', function() { 
			if ($(window).scrollTop() > 0) {
				if (a.is(':hidden')) {
					a.fadeIn(500);
				}
			} else {
				a.fadeOut(500);
			}
			return true;
		});
		
		a.on('click', function() {
			$('body, html').animate({ 
				scrollTop: 	0 
			}, 500);
			return false;
		});
		
		return this;
	};
	
}(jQuery));