<%
	/* 
	 * sections.inc - index page sections
	 */
	 
	 
	var cnt = JAlbumUtilities.countCategories(currentFolder),
		fileCount = cnt.getFileCount(),
		folderCount = cnt.getCount(Category.folder),
		webLocationCount = cnt.getCount(Category.webLocation),
		pageCount = cnt.getCount(Category.webPage),
		imageCount = cnt.getCount(Category.image),
		videoCount = cnt.getCount(Category.video),
		audioCount = cnt.getCount(Category.audio),
		otherCount = cnt.getCount(Category.other),
		itemCount = cnt.getCount(Category.image) + cnt.getCount(Category.video) + cnt.getCount(Category.audio) + cnt.getCount(Category.other),
		nub = (captionPlacement === 'tooltip')? '<b class="nub"></b>' : '';
		
		
	for each (section in sectionsOrder.split('\t')) {
		
		switch (section) {
			
			case 'images':
			
				if (itemCount) {
				
					var n = 0; 
					
					out.print('\n\t\t\t\t\t\t<section class="row thumb-cont">' +
						'<div class="large-12 columns">' +
						'<div class="thumbnails row ' + thumbGridClass + '">');
					
					for each (ao in currentFolder.getChildren()) {
						
						if (isSimpleObject(ao) && ao.isIncluded()) {						

							var vars = ao.getVars(),
								alt = addAltTags? (' alt="' + [ vars.get('title'), vars.get('commentShort') ].join(' ').trim() + '"') : '',
								c = vars.get('thumbCaption');

							out.print('<div class="column"><div class="card preload' +
								(s? ' hascaption' : '') +
								'">' +
								((captionPlacement === 'above' && c)? ('<div class="caption">' + c + '</div>') : '') +
								'<a class="thumb vertical-middle" href="' + vars.get('closeupPath') + '"><img src="' + vars.get('thumbPath') + '"' + alt + '></a>' +
								((captionPlacement !== 'above' && c)? ('<div class="caption">' + c + nub + '</div>') : '') +
								'</div></div>');
							
							if (++n > thumbCols * 2) {
								break;
							}
						}
					}
					
					out.println('</div></div></section>');
					
				} else {
					
					// Needed for overlays (search, tag search, etc.)
					out.print('\n\t\t\t\t\t\t<section class="row thumb-cont hidden"></section>');
					
				}
				
				break;
				
			case 'folders':
				
				if (folderCount || webLocationCount) {
					
					var n = 0,
						cat,
						mx = folderCols * 3;

					out.print('\n\t\t\t\t\t\t<section class="row folder-cont">' +
						'<div class="large-12 columns">' +
						'<div class="thumbnails row ' +	 folderGridClass + '">');
						
					for each (ao in currentFolder.getChildren()) {
						
						cat = ao.getCategory();
						
						if (((cat === Category.folder && !ao.isHidden()) || (cat === Category.webLocation)) && ao.isIncluded()) {
							var vars = ao.getVars(),
								alt = addAltTags? [ vars.get('title'), vars.get('commentShort') ].join(' ').trim() : '',
								c = (vars.get('thumbCaption') || vars.get('title')) + (showFolderImageCount? vars.get('counts') : ''),
								path = vars.get(copyFolderThumbs? 'altThumbPath' : 'thumbPath'); //((folderCols < 4)? 'hiresThumbPath' : 'thumbPath'));
														
							out.print('<div class="column">' +
								'<div class="card ' + ((n < mx)? 'preload' : 'lazyload') + '">' +
								((captionPlacement === 'above')? ('<div class="caption">' + c + '</div>') : '') + 
								'<a href="' + vars.get('closeupPath') + '" class="thumb vertical-middle"' +
								((n < mx)? '' : (' data-thumb="' + path + '"' + (alt? (' data-alt="' + alt + '"') : ''))) +
								'>' +
								((n < mx)? ('<img src="' + path + '"' + (alt? (' alt="' + alt + '"') : '') + '>') : '') +
								'</a>' +
								((captionPlacement !== 'above')? ('<div class="caption">' + c + nub + '</div>') : '') + 
								'</div></div>');
							
							n++;
						}
					}
					
					out.println('</div></div></section>');
				}
				
				break;
				
			case 'pages':
				
				if (pageCount && ((level > 0) || !hidePagesIfTopnav)) {
					
					out.print('\n\t\t\t\t\t\t<section class="row pages-cont">' +
						'<div class="large-12 columns">' +
						'<div class="thumbnails row' + pageGridClass + '">');

					for each (ao in currentFolder.getChildren()) {
								
						if (ao.getCategory() === Category.webPage && ao.isIncluded()) {
							
							var vars = ao.getVars();
							
							out.print('<div class="column"><div class="card">' +
								'<h4 class="icon-document"> <a href="' + vars.get('closeupPath') + '">' + vars.get('title') + '</a></h4>');
							
							if (showPageExcerpt) {
								var s = vars.get('comment');
								
								if (s) {
									var i = s.indexOf('<!--more-->');
									
									if (i > 0) {
										s = s.substring(0, i) + ' <a href="' + vars.get('closeupPath') + '" class="readmore">' + getText('ui.readMore') + ' &rarr;</a>';
									} else if (s.length > 640) {
										s = shorten(stripHTML(s));
									}
									if (s) {
										out.print('<div class="caption">' + s + '</div>');
									}
								}
							}
							
							out.print('</div></div>');
						}
					}
					
					
					out.println('</div></div></section>');
				}
					
				break;
					
			case 'neighboringFolders':
				
				if (linkNeighboringFolders) {
					
					if ((typeof previousFolderPath !== 'undefined') && previousFolderPath || 
						(typeof nextFolderPath !== 'undefined') && nextFolderPath) {
						
						out.print('\n\t\t\t\t\t\t<section class="row prev-next-links">' +
							'<div class="small-6 columns">');
						
						if (previousFolderPath) {
							out.print('<a class="previous-link" href="' + previousFolderPath + '"' +
								(neighboringFolderBgImage? (' style="background-image:url(' + previousFolderThumbPath + ')"') : '') +
								'><span class="caption icon-arrow-left">' + previousFolderTitle + '</span></a>');
						}
	
						out.print('</div><div class="small-6 columns text-right">');
						
						if (nextFolderPath) {
							out.print('<a class="next-link" href="' + nextFolderPath + '"' + 
								(neighboringFolderBgImage? (' style="background-image:url(' + nextFolderThumbPath + ')"') : '') +
								'><span class="caption">' + nextFolderTitle + '</span></a>');
						}
						
						out.println('</div></section>');
					}
				}
				
				break;
				
			case 'shoppingCart':
				
				if (_useShop && shopOptions) {
					out.println('\n\t\t\t\t\t\t<section id="shop" class="row shop-cont cont-box">' +
						'<div class="large-12 columns"><div class="row">');
					
					if (shopLabel) {
						out.print('<div class="medium-3 columns"><h4 class="icon-shopping-cart"> ' +  shopLabel + '</h4></div>');
					}
					
					out.println('<div class="medium-' + (shopLabel? 9 : 12) + ' columns select-box"><label>' + getText('select') + '</label> ' + 
						'<a class="small secondary disabled button icon-checkbox-checked" id="selectall"> ' + getText('all') + 	'</a>' + 
						'<a class="small secondary disabled button icon-checkbox-unchecked" id="selectnone"> ' + getText('none') + '</a>' + 
						'<a class="small disabled button icon-include" id="add-selected"> ' + getText('addSelected') + '</a></div>');
					
					out.println('<div class="medium-12 columns"><div id="shop-root" class="shop-root" data-shop-root></div></div>');
					
					if (shopInstructionsBox) {
						out.println('<div class="medium-12 columns"><div class="shop-instructions">' + shopInstructionsBox + '</div></div>');
					}
					
					out.println('</div></div></section>');
				}
				
				break;
				
			case 'map':
			
				if (showMapSection && (typeof locationCount !== 'undefined') && locationCount) {
					out.println('\n\t\t\t\t\t\t<section class="row map-cont cont-box">' +
						'<div class="large-12 columns">' +
						'<div class="map-root" data-map-root></div>' +
						'</div></section>');
				}
				
				break;
				
			case 'tags':
				
				if (tagCloudSource !== 'none') {
					out.print('\n\t\t\t\t\t\t<section id="tag-cloud" class="row cont-box">' +
						'<div class="large-12 columns"><div class="row">');
					var c = 12 - (tagCloudLabel? 2 : 0) - (tagCloudSearch? 3 : 0);
					if (tagCloudLabel) {
						out.print('<div class="medium-2 columns"><h4 class="icon-label"> ' + tagCloudLabel + '</h4></div>');
					}
					
					out.print('<div class="medium-' + c + ' columns"><div class="tag-cloud"></div></div>');
					
					if (tagCloudSearch) {
						out.print('<div class="medium-3 columns">' +
							'<form class="tag-search" data-depth="${tagCloudSource}" data-fields="${tagCloudFields}">' +
							'<div class="search-input"><input type="text" placeholder="Search..."></div>' +
							'<a class="search-btn icon-search"></a>' +
							'</form></div>');
					}
					out.println('</div></section>');
				}
				
				break;
				
			case 'newImages':
				
				if (searchNewSource !== 'none') {
					out.print('\n\t\t\t\t\t\t<section id="search-new" class="row cont-box">' +
						'<div class="large-12 columns"><div class="row">');
					if (searchNewLabel) {
						out.print('<div class="medium-2 columns"><h4 class="icon-star"> ' + searchNewLabel + '</h4></div>');
					}
					out.print('<div class="medium-' + (searchNewLabel? 10 : 12) + ' columns"><div class="search-new"></div></div>');
					out.println('</div></section>');
				}
					
				break;
				
			case 'comments':
				
				if (_useFacebookCommenting || _useDisqusCommenting) {
					
					out.print('\n\t\t\t\t\t\t<section class="row comments-cont cont-box">' +
						'<div class="large-12 columns">');
					
					if (_useFacebookCommenting) {
						out.println('<div class="fb-comments" id="fb-comments" data-num-posts="' + facebookCommentingPosts + 
							'" data-width="100%" data-colorscheme="' + commentingTheme + '"' + 
							(pageUrl? (' data-href="' + pageUrl + '"') : '') +
							'></div>');
					}
					
					if (_useDisqusCommenting) {
						out.println('<div class="disqus-comments" id="disqus-comments"><div id="disqus_thread"></div></div>');
					}
					
					out.println('</div></section>');
					
				}
				
				break;
				
			case 'customContent':
				
				if (customSectionHook && !level || !customSectionTopLevelOnly) {
					out.println('\n\t\t\t\t\t\t<section class="row custom-cont cont-box">' +
						'<div class="large-12 columns">' +
						getProcessed(customSectionHook) +
						'</div></section>');
				}
				
				break;

				
		}
	}
%>